Bug 462398 - Setting boot time selinux setting in gui resets firewall rules
Setting boot time selinux setting in gui resets firewall rules
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-09-15 18:01 EDT by Bruno Wolff III
Modified: 2009-11-18 08:08 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:08:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2008-09-15 18:01:53 EDT
Description of problem:
When I use the gui (with gnome desktop) to do selinux management and change the default for selinux at boot it also changes /etc/sysconfig/iptables to what looks to be a default firewall configuration. This hoses things up on the next reboot or iptables service restart.

Version-Release number of selected component (if applicable):
policycoreutils-2.0.55-8.fc10.x86_64 though i am not really sure this is a policycoreutils problem.

How reproducible:
Seems to be 100%.

Steps to Reproduce:
1. Change /etc/sysconfig/iptables
2. Set the selinux mode default for boot time
3. Check /etc/sysconfig/iptables to see it has changed back to the default.
  
Actual results:
/etc/sysconfig/iptables gets changed when changing the selinux settings.

Expected results:
/etc/sysconfig/iptables should not change.


Additional info:
Comment 1 Bruno Wolff III 2008-09-16 12:44:52 EDT
As a followup to this the proper way to have set things up would have been to use the firewall gui admin to set up an example set of rules to be saved and then disable that feature as the iptables service is separate. By having the firewall feature still enabled but the rules file out of sync I was courting future problems.
However, even with the above, it is unexpected that changing my selinux settings was going to mess with my firewall rules. A warning similar to that on the firewall gui console when applying changes would be the minimum I expect. Not tying the two together would be better.
Comment 2 Bug Zapper 2008-11-25 22:05:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Christopher Pardy 2009-06-26 16:59:38 EDT
Old GUI called a system command which was broken, new gui has it's own implementation which should fix this problem.
Comment 5 Bug Zapper 2009-11-18 03:23:43 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.